﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace HeuristicLab.OKB.ParameterTable {
  public partial class OperatorParameterSetterControl : UserControl {
    public OperatorParameterSetterControl() {
      InitializeComponent();
    }

    public event EventHandler SetClicked;
    public event EventHandler ShowClicked;
    public string Label {
      get { return nameBox.Text; }
      set { nameBox.Text = value; }
    }

    private void setButton_Click(object sender, EventArgs e) {
      if (SetClicked != null)
        SetClicked(sender, e);
    }

    private void showButton_Click(object sender, EventArgs e) {
      if (ShowClicked != null)
        ShowClicked(sender, e);
    }

  }
}
